summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog4
-rw-r--r--app-emulation/open-vm-tools/Manifest3
-rw-r--r--app-emulation/open-vm-tools/files/makefile-destdir.patch82
-rw-r--r--app-emulation/open-vm-tools/open-vm-tools-0.0.20080701.102166.ebuild117
4 files changed, 206 insertions, 0 deletions
diff --git a/ChangeLog b/ChangeLog
index 0fc6d52..9bd7341 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $ Id: $
+ 12 Jul 2008; Mike Auty <ikelos@gentoo.org>
+ +app-emulation/open-vm-tools/files/makefile-destdir.patch:
+ Version bump open-vm-tools, and use internal install mechanism.
+
18 Jun 2008; Mike Auty <ikelos@gentoo.org>
+app-emulation/vmware-modules/files/1.0.0.20-makefile-kernel-dir.patch:
Fix up vmware-modules for kernel directory issues (bug 227941).
diff --git a/app-emulation/open-vm-tools/Manifest b/app-emulation/open-vm-tools/Manifest
index 5d3885a..0c00c69 100644
--- a/app-emulation/open-vm-tools/Manifest
+++ b/app-emulation/open-vm-tools/Manifest
@@ -1,10 +1,13 @@
AUX default-scripts.patch 3525 RMD160 7c3dfd342be245531493a9cf7a8be2be4c67dc4b SHA1 56ba6ca91262f73732a7d806a9c812aea683c2d2 SHA256 99ad1a202335736c50bbb92432371e522934d1a3347e992158b881cf9f810da6
AUX disable-toolbox.patch 4995 RMD160 dcce189c748f6e718d822a05f3fa96196cc9b7fd SHA1 497b488203c07bdb87332718c83ee412eee9c719 SHA256 337bdc179a32495e12931daf2f9c5438cb0dd08ee1009feb905d7f84c3d8115b
+AUX makefile-destdir.patch 3108 RMD160 e2acae9a7a1eee8b900dea64ffe32da84bfb9cdc SHA1 77663372717e06c0e9e4bd47e02401d76298a298 SHA256 0be2f3ac56c6abee208c771a29f97c6cbc78e8cef128f2ac3a60cf471a6efff2
AUX open-vm.confd 88 RMD160 5e398024e72a871f258d73e09f02e37a815443b0 SHA1 56133c21c6d29243ac81a9c1ada61616778f3ce2 SHA256 180a2b6d9d18af319b79b2ca6ebf1020b63e5ebf2f601a63c1a9f9f7d2e0b95c
AUX open-vm.initd 1875 RMD160 9d2cc36fd93e70ae20eecd49b10c4da0e09aad69 SHA1 1702f267d32ca138e0e99d9ed86b4abc32cc3997 SHA256 1799b78836441b389de0b3d92aad80fcf020fe8b57da4f6d6999f86ee87f51bf
AUX tools.conf 21 RMD160 88b5b8c8e088333e9c00b2e1c3f3572553342e7b SHA1 42a670b887751dbe9317624dd11068390d1780b0 SHA256 05dcb62e54991ca5546066e4d04b50be98fb0cc229168d4d73df8cf8a94c068c
AUX xautostart.conf 59 RMD160 ca1ea3f1b82caa6e97d94835d88a39a6f153ff7a SHA1 92ba86e426fdaa3de1a8aad56db2d2ac358949a1 SHA256 13398e0ffcd7005bc8c92f3cd62865d2601e52fc980a4702fa252bef5c1efcc7
DIST open-vm-tools-2008.04.14-87182.tar.gz 2430703 RMD160 2003b86f881b8a9b51c61e833b0b7d4aca70e083 SHA1 0394f73975a34699b92ce90822803fdb365abc6f SHA256 34c19a50650e70fbaa3c1d01803cc96fd86dde4d5f1349bf444026a4b1016b07
DIST open-vm-tools-2008.05.15-93241.tar.gz 2462536 RMD160 6482557a2bfd5628093e7d02262c6cb1f072c334 SHA1 58c1861ffdedb205fe58f65b29ad47bf72ded836 SHA256 465657c6c59b88458bb6bf8a5411ab7d1e5aef548e931b4291c8cec1cba55ea3
+DIST open-vm-tools-2008.07.01-102166.tar.gz 2558112 RMD160 7324a0f7f4f99ee23547bf51aaba316c79ceee55 SHA1 311de7dcc6bf50f017a399180b884150c21a6f32 SHA256 51293ff716bff35ecd03e8747280280be0a748e9fc5ec7c2d02d936b0c86d1c5
EBUILD open-vm-tools-0.0.20080414.87182.ebuild 3683 RMD160 1ed0a118495b177076ac4585c512770047ccc02b SHA1 49b56355f9b39f5f2c71fac0a7e723dbaaa63836 SHA256 6ddba316a27d4aac5390b983e0ab905a80727c92a8b0c82e42f68a367b9a525c
EBUILD open-vm-tools-0.0.20080515.93241.ebuild 3638 RMD160 70ab5b74e1c4452cdc6cc2bfaa61fa8048cc5309 SHA1 d95a10736c41eaf1970b50059f756bbff4506868 SHA256 9fcd8f3c40f8bd8cdb04fed77626b4a485ffc8680b876bfd5734c2a898393697
+EBUILD open-vm-tools-0.0.20080701.102166.ebuild 2701 RMD160 5bc76a6525535758de70ec1fbb57add017e7b1fa SHA1 6bb9d0bc96ed8b1fb9fafe3f8bca9b6cf736617a SHA256 e6dee5b5e4c2cf9aa8f0968b44e5f49acf96c813c65ed7e4bd7706e4f93dc1d8
diff --git a/app-emulation/open-vm-tools/files/makefile-destdir.patch b/app-emulation/open-vm-tools/files/makefile-destdir.patch
new file mode 100644
index 0000000..d1b8dad
--- /dev/null
+++ b/app-emulation/open-vm-tools/files/makefile-destdir.patch
@@ -0,0 +1,82 @@
+diff --git a/guestd/Makefile.am b/guestd/Makefile.am
+index 68e55bb..c027edb 100644
+--- a/guestd/Makefile.am
++++ b/guestd/Makefile.am
+@@ -96,8 +96,8 @@ endif PAMD
+ endif LINUX
+
+ install-exec-hook:
+- $(INSTALL) -d /etc/vmware-tools
+- echo 'disable-tools-version = "true"' > /etc/vmware-tools/tools.conf
++ $(INSTALL) -d $(DESTDIR)/etc/vmware-tools
++ echo 'disable-tools-version = "true"' > $(DESTDIR)/etc/vmware-tools/tools.conf
+
+ uninstall-hook:
+- $(RM) -rf /etc/vmware-tools
++ $(RM) -rf $(DESTDIR)/etc/vmware-tools
+diff --git a/hgfsmounter/Makefile.am b/hgfsmounter/Makefile.am
+index 83dc90a..0202d5d 100644
+--- a/hgfsmounter/Makefile.am
++++ b/hgfsmounter/Makefile.am
+@@ -30,13 +30,13 @@ mount_vmhgfs_SOURCES += stub-user-util.c
+
+ if FREEBSD
+ install-exec-hook:
+- $(MV) $(sbindir)/mount.vmhgfs $(sbindir)/mount_vmhgfs
+- chown root $(sbindir)/mount_vmhgfs
+- chmod u+s $(sbindir)/mount_vmhgfs
++ $(MV) $(DESTDIR)$(sbindir)/mount.vmhgfs $(DESTDIR)$(sbindir)/mount_vmhgfs
++ chown root $(DESTDIR)$(sbindir)/mount_vmhgfs
++ chmod u+s $(DESTDIR)$(sbindir)/mount_vmhgfs
+ uninstall-hook:
+- $(RM) -f $(sbindir)/mount_vmhgfs
++ $(RM) -f $(DESTDIR)$(sbindir)/mount_vmhgfs
+ else
+ install-exec-hook:
+- chown root $(sbindir)/mount.vmhgfs
+- chmod u+s $(sbindir)/mount.vmhgfs
++ chown root $(DESTDIR)$(sbindir)/mount.vmhgfs
++ chmod u+s $(DESTDIR)$(sbindir)/mount.vmhgfs
+ endif !FREEBSD
+diff --git a/toolbox/Makefile.am b/toolbox/Makefile.am
+index 18508ec..544e9c7 100644
+--- a/toolbox/Makefile.am
++++ b/toolbox/Makefile.am
+@@ -62,14 +62,14 @@ vmware_toolbox_SOURCES += toolboxScripts.c
+ vmware_toolbox_SOURCES += toolboxShrink.c
+
+ install-exec-hook:
+- $(INSTALL) -d $(datadir)/applications/
++ $(INSTALL) -d $(DESTDIR)$(datadir)/applications/
+ $(INSTALL) -m 644 ../scripts/common/vmware-toolbox.desktop \
+- $(datadir)/applications/
++ $(DESTDIR)$(datadir)/applications/
+ $(SED) -i s/Exec=.*/Exec=vmware-toolbox/ \
+- $(datadir)/applications/vmware-toolbox.desktop
+- $(INSTALL) -d /usr/share/pixmaps/vmware
++ $(DESTDIR)$(datadir)/applications/vmware-toolbox.desktop
++ $(INSTALL) -d $(DESTDIR)/usr/share/pixmaps/vmware
+ $(INSTALL) -m 644 bigIcon.xpm \
+- /usr/share/pixmaps/vmware/vmware-toolbox.xpm
++ $(DESTDIR)/usr/share/pixmaps/vmware/vmware-toolbox.xpm
+ uninstall-hook:
+- -$(RM) -f $(datadir)/share/applications/vmware-toolbox.desktop
+- -$(RM) -rf /usr/share/pixmaps/vmware
++ -$(RM) -f $(DESTDIR)$(datadir)/share/applications/vmware-toolbox.desktop
++ -$(RM) -rf $(DESTDIR)/usr/share/pixmaps/vmware
+diff --git a/vmware-user/Makefile.am b/vmware-user/Makefile.am
+index 0f64cc9..4a7133e 100644
+--- a/vmware-user/Makefile.am
++++ b/vmware-user/Makefile.am
+@@ -89,8 +89,8 @@ vmware_user_SOURCES += pointer.c
+ vmware_user_SOURCES += vmware-user.c
+
+ install-exec-hook:
+- $(INSTALL) -d $(datadir)/applications/
++ $(INSTALL) -d $(DESTDIR)$(datadir)/applications/
+ $(INSTALL) -m 644 ../scripts/common/vmware-user.desktop \
+- $(datadir)/applications/
++ $(DESTDIR)$(datadir)/applications/
+ uninstall-hook:
+- -$(RM) -f $(datadir)/applications/vmware-user.desktop
++ -$(RM) -f $(DESTDIR)$(datadir)/applications/vmware-user.desktop
diff --git a/app-emulation/open-vm-tools/open-vm-tools-0.0.20080701.102166.ebuild b/app-emulation/open-vm-tools/open-vm-tools-0.0.20080701.102166.ebuild
new file mode 100644
index 0000000..694c280
--- /dev/null
+++ b/app-emulation/open-vm-tools/open-vm-tools-0.0.20080701.102166.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/open-vm-tools/open-vm-tools-0.0.20071121.64693.ebuild,v 1.2 2007/12/22 23:05:54 mr_bones_ Exp $
+
+inherit pam eutils linux-mod autotools versionator
+
+MY_DATE="$(get_version_component_range 3)"
+MY_BUILD="$(get_version_component_range 4)"
+MY_PV="${MY_DATE:0:4}.${MY_DATE:4:2}.${MY_DATE:6:2}-${MY_BUILD}"
+MY_P="${PN}-${MY_PV}"
+
+S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="Opensourced tools for VMware guests"
+HOMEPAGE="http://open-vm-tools.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="X xinerama icu"
+DEPEND="
+ virtual/linux-sources
+ sys-apps/ethtool
+ X? (
+ x11-libs/libX11
+ x11-libs/gtk+
+ )
+ xinerama? (
+ x11-libs/libXinerama
+ )
+ !app-emulation/vmware-workstation-tools
+ !app-emulation/vmware-server-tools
+ !app-emulation/vmware-esx-tools
+ sys-process/procps
+ dev-libs/libdnet
+ icu? ( dev-libs/icu )
+ "
+
+RDEPEND="${DEPEND/virtual\/linux\-sources/}
+ virtual/pam
+ X? (
+ x11-base/xorg-server
+ x11-drivers/xf86-video-vmware
+ x11-drivers/xf86-input-vmmouse
+ )
+"
+
+VMWARE_MOD_DIR="modules/linux"
+VMWARE_MODULE_LIST="vmblock vmhgfs vmsync vmmemctl vmxnet"
+
+pkg_setup() {
+
+ linux-mod_pkg_setup
+ MODULE_NAMES=""
+ BUILD_TARGETS="auto-build HEADER_DIR=${KERNEL_DIR}/include BUILD_DIR=${KV_OUT_DIR}"
+
+ for mod in ${VMWARE_MODULE_LIST};
+ do
+ if [[ "${mod}" == "vmxnet" ]];
+ then
+ MODTARGET="net"
+ else
+ MODTARGET="openvmtools"
+ fi
+ MODULE_NAMES="${MODULE_NAMES} ${mod}(${MODTARGET}:${S}/${VMWARE_MOD_DIR}/${mod})"
+ done
+
+ ewarn "If you're compiling for a hardened target, please use the hardened"
+ ewarn "toolchain (see bug #200376, comment 18)."
+
+ enewgroup vmware
+
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}/default-scripts.patch"
+ epatch "${FILESDIR}/makefile-destdir.patch"
+
+ eautoreconf
+}
+
+src_compile() {
+ econf \
+ --without-kernel-modules \
+ $(use_with icu) \
+ $(use_with X x) \
+ $(use_enable xinerama multimon) \
+ || die "Error: econf failed!"
+
+ linux-mod_src_compile
+
+ emake || die
+}
+
+src_install() {
+
+ linux-mod_src_install
+
+ pamd_mimic_system vmware-guestd auth account
+
+ emake install DESTDIR=${D} || die "Failed to install"
+
+ newinitd "${FILESDIR}/open-vm.initd" vmware-tools
+ newconfd "${FILESDIR}/open-vm.confd" vmware-tools
+
+ if use X;
+ then
+ elog "To be able to use the drag'n'drop feature of VMware for file"
+ elog "exchange, you need to do this:"
+ elog " Add 'vmware-tools' to your default runlevel"
+ elog " Add the users which should have access to this function"
+ elog " to the group 'vmware'"
+ fi
+}